UD(1)

NAME
ud - interactive LDAP Directory Server query program

SYNOPSIS
ud [-Dv] [-s server] [-d debug-mask] [-l ldap-debug-mask] [-f file]

DESCRIPTION
ud is used to interogate a directory server via the Lightweight Directory Access Protocol (LDAP).

OPTIONS

-s server
    Used to specify the name of an LDAP server to which ud should connect. If this flag is omitted, the value specified in the ud configuration file is used. If no value is specified in the configuration file, or the configuration file does not exist, the name ldap is used. Of course, it is up to the system administrator to make sure that the name ldap can be resolved (presumably through the use of a CNAME or A record in the DNS and the appropriate search path specified in the resolver config file).

-d debug-mask
    Sets the ud debug mask to the value specified. Values for the mask can be dumped by using the -D flag.

-f file
    Sets the configuration file to the name specified.

-l ldap-debug-mask
    Sets the LDAP debug mask to the value specified.

-v  Turns on verbose output. Also toggable via the ud verbose command.

-D  Prints out a list of valid ud debug masks.

FILES
/usr/local/etc/openldap/ud.conf    The ud configuration file.

SEE ALSO
ud.conf(5), ldap.conf(5), ldap(3)

DIAGNOSTICS
ud will try to be nice about error conditions, and in most cases prints a warm and fuzzy error message when it encounters a problem. Sometimes the error will be unexpected, and in these cases, ud uses the ldap_perror() routine to print an informative diagnostic.

BUGS
Too numerous to mention.

AUTHOR
Bryan Beecher, University of Michigan

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.